<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: PWM Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">PWM Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d5/d6b/group___n_a_n_o1_x2___p_w_m___driver.html">PWM Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for PWM Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#adc_2d6c_2group______n__a__n__o1__x2______p__w__m______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">PWM Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaa8de5932e202da33005841edc021a2e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a></td></tr>
<tr class="separator:gaa8de5932e202da33005841edc021a2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ce05ed0c4b23d9fd3257b49fec3b751"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ce05ed0c4b23d9fd3257b49fec3b751">PWM_CH0</a></td></tr>
<tr class="separator:ga3ce05ed0c4b23d9fd3257b49fec3b751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa762d631e9794aaecce90826faf4f402"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa762d631e9794aaecce90826faf4f402">PWM_CH1</a></td></tr>
<tr class="separator:gaa762d631e9794aaecce90826faf4f402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b50c0d5e200636bca31f4689760136e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6b50c0d5e200636bca31f4689760136e">PWM_CH2</a></td></tr>
<tr class="separator:ga6b50c0d5e200636bca31f4689760136e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5be6ec8a063e576d71f0d01570867b7b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5be6ec8a063e576d71f0d01570867b7b">PWM_CH3</a></td></tr>
<tr class="separator:ga5be6ec8a063e576d71f0d01570867b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabac82a6377fd08e9847feeda8040f273"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabac82a6377fd08e9847feeda8040f273">PWM_CH_0_MASK</a></td></tr>
<tr class="separator:gabac82a6377fd08e9847feeda8040f273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72299d696270f176556e6e29ff6dff93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72299d696270f176556e6e29ff6dff93">PWM_CH_1_MASK</a></td></tr>
<tr class="separator:ga72299d696270f176556e6e29ff6dff93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2185c98fac63b3ee14b17858cdac9fed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2185c98fac63b3ee14b17858cdac9fed">PWM_CH_2_MASK</a></td></tr>
<tr class="separator:ga2185c98fac63b3ee14b17858cdac9fed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1af9d8112675ef4e4efffa2b35d78e7c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1af9d8112675ef4e4efffa2b35d78e7c">PWM_CH_3_MASK</a></td></tr>
<tr class="separator:ga1af9d8112675ef4e4efffa2b35d78e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd86a897a6b2ccb95d1ae2f47c8bd15c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd86a897a6b2ccb95d1ae2f47c8bd15c">PWM_CLK_DIV_1</a></td></tr>
<tr class="separator:gabd86a897a6b2ccb95d1ae2f47c8bd15c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d3bfe34e38f97a4a31394528ef09a45"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3bfe34e38f97a4a31394528ef09a45">PWM_CLK_DIV_2</a></td></tr>
<tr class="separator:ga8d3bfe34e38f97a4a31394528ef09a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae66ff68ea3b182ae37f8441fed091776"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae66ff68ea3b182ae37f8441fed091776">PWM_CLK_DIV_4</a></td></tr>
<tr class="separator:gae66ff68ea3b182ae37f8441fed091776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga379db73993dbf96710557d63e24c329e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga379db73993dbf96710557d63e24c329e">PWM_CLK_DIV_8</a></td></tr>
<tr class="separator:ga379db73993dbf96710557d63e24c329e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga472e1664d0e8f634fb70250fe7e2da68"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga472e1664d0e8f634fb70250fe7e2da68">PWM_CLK_DIV_16</a></td></tr>
<tr class="separator:ga472e1664d0e8f634fb70250fe7e2da68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18eec613fcc72bc9f048c804863519cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18eec613fcc72bc9f048c804863519cf">PWM_EDGE_ALIGNED</a></td></tr>
<tr class="separator:ga18eec613fcc72bc9f048c804863519cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6871708a71e9d705d1422f9855470585"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6871708a71e9d705d1422f9855470585">PWM_CENTER_ALIGNED</a></td></tr>
<tr class="separator:ga6871708a71e9d705d1422f9855470585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga797d0d771457479f8b677263a79cbed0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga797d0d771457479f8b677263a79cbed0">PWM_RISING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:ga797d0d771457479f8b677263a79cbed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7d31a7df3e22a5253337148d26d2a8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7d31a7df3e22a5253337148d26d2a8c">PWM_FALLING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:gab7d31a7df3e22a5253337148d26d2a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5940e054da82e586f82d9435f1cc185b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5940e054da82e586f82d9435f1cc185b">PWM_RISING_FALLING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:ga5940e054da82e586f82d9435f1cc185b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33e16d288942356205a8a55b8c1a4353"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33e16d288942356205a8a55b8c1a4353">PWM_RISING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:ga33e16d288942356205a8a55b8c1a4353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaec789562f8ab7a95abc00a5b4794afa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaec789562f8ab7a95abc00a5b4794afa">PWM_FALLING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:gaaec789562f8ab7a95abc00a5b4794afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga640204272f0176593d718b05fd9a041c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga640204272f0176593d718b05fd9a041c">PWM_RISING_FALLING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:ga640204272f0176593d718b05fd9a041c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae322c57f5e065ce3f548c1e2443a7298"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae322c57f5e065ce3f548c1e2443a7298">PWM_RISING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gae322c57f5e065ce3f548c1e2443a7298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad147fdd80c5b1b189f2d9c888c367a5f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad147fdd80c5b1b189f2d9c888c367a5f">PWM_FALLING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gad147fdd80c5b1b189f2d9c888c367a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5769a3e1c61ecacfb3674bad1bf8750"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5769a3e1c61ecacfb3674bad1bf8750">PWM_RISING_FALLING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gab5769a3e1c61ecacfb3674bad1bf8750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb4ed09d9c7161d49d68c9ace40120e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb4ed09d9c7161d49d68c9ace40120e4">PWM_CAP_PDMA_RFORDER_R</a></td></tr>
<tr class="separator:gaeb4ed09d9c7161d49d68c9ace40120e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae883b415b6b8ec48123455bd2a446f5a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae883b415b6b8ec48123455bd2a446f5a">PWM_CAP_PDMA_RFORDER_F</a></td></tr>
<tr class="separator:gae883b415b6b8ec48123455bd2a446f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gae883b415b6b8ec48123455bd2a446f5a" name="gae883b415b6b8ec48123455bd2a446f5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae883b415b6b8ec48123455bd2a446f5a">&#9670;&nbsp;</a></span>PWM_CAP_PDMA_RFORDER_F</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CAP_PDMA_RFORDER_F</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM captured data transferred by PDMA is falling latch first </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00058">58</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gaeb4ed09d9c7161d49d68c9ace40120e4" name="gaeb4ed09d9c7161d49d68c9ace40120e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaeb4ed09d9c7161d49d68c9ace40120e4">&#9670;&nbsp;</a></span>PWM_CAP_PDMA_RFORDER_R</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CAP_PDMA_RFORDER_R</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM captured data transferred by PDMA is rising latch first </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00057">57</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga6871708a71e9d705d1422f9855470585" name="ga6871708a71e9d705d1422f9855470585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6871708a71e9d705d1422f9855470585">&#9670;&nbsp;</a></span>PWM_CENTER_ALIGNED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CENTER_ALIGNED</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM working in center aligned type </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00047">47</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga3ce05ed0c4b23d9fd3257b49fec3b751" name="ga3ce05ed0c4b23d9fd3257b49fec3b751"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3ce05ed0c4b23d9fd3257b49fec3b751">&#9670;&nbsp;</a></span>PWM_CH0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 0 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00033">33</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gaa762d631e9794aaecce90826faf4f402" name="gaa762d631e9794aaecce90826faf4f402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa762d631e9794aaecce90826faf4f402">&#9670;&nbsp;</a></span>PWM_CH1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 1 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00034">34</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga6b50c0d5e200636bca31f4689760136e" name="ga6b50c0d5e200636bca31f4689760136e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6b50c0d5e200636bca31f4689760136e">&#9670;&nbsp;</a></span>PWM_CH2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 2 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00035">35</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga5be6ec8a063e576d71f0d01570867b7b" name="ga5be6ec8a063e576d71f0d01570867b7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5be6ec8a063e576d71f0d01570867b7b">&#9670;&nbsp;</a></span>PWM_CH3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 3 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00036">36</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gabac82a6377fd08e9847feeda8040f273" name="gabac82a6377fd08e9847feeda8040f273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabac82a6377fd08e9847feeda8040f273">&#9670;&nbsp;</a></span>PWM_CH_0_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH_0_MASK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 0 mask </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00037">37</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga72299d696270f176556e6e29ff6dff93" name="ga72299d696270f176556e6e29ff6dff93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72299d696270f176556e6e29ff6dff93">&#9670;&nbsp;</a></span>PWM_CH_1_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH_1_MASK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 1 mask </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00038">38</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga2185c98fac63b3ee14b17858cdac9fed" name="ga2185c98fac63b3ee14b17858cdac9fed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2185c98fac63b3ee14b17858cdac9fed">&#9670;&nbsp;</a></span>PWM_CH_2_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH_2_MASK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 2 mask </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00039">39</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga1af9d8112675ef4e4efffa2b35d78e7c" name="ga1af9d8112675ef4e4efffa2b35d78e7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1af9d8112675ef4e4efffa2b35d78e7c">&#9670;&nbsp;</a></span>PWM_CH_3_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CH_3_MASK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel 3 mask </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00040">40</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gaa8de5932e202da33005841edc021a2e4" name="gaa8de5932e202da33005841edc021a2e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa8de5932e202da33005841edc021a2e4">&#9670;&nbsp;</a></span>PWM_CHANNEL_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CHANNEL_NUM</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM channel number </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00032">32</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gabd86a897a6b2ccb95d1ae2f47c8bd15c" name="gabd86a897a6b2ccb95d1ae2f47c8bd15c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabd86a897a6b2ccb95d1ae2f47c8bd15c">&#9670;&nbsp;</a></span>PWM_CLK_DIV_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CLK_DIV_1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM clock divide by 1 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00041">41</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga472e1664d0e8f634fb70250fe7e2da68" name="ga472e1664d0e8f634fb70250fe7e2da68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga472e1664d0e8f634fb70250fe7e2da68">&#9670;&nbsp;</a></span>PWM_CLK_DIV_16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CLK_DIV_16</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM clock divide by 16 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00045">45</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga8d3bfe34e38f97a4a31394528ef09a45" name="ga8d3bfe34e38f97a4a31394528ef09a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8d3bfe34e38f97a4a31394528ef09a45">&#9670;&nbsp;</a></span>PWM_CLK_DIV_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CLK_DIV_2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM clock divide by 2 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00042">42</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gae66ff68ea3b182ae37f8441fed091776" name="gae66ff68ea3b182ae37f8441fed091776"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae66ff68ea3b182ae37f8441fed091776">&#9670;&nbsp;</a></span>PWM_CLK_DIV_4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CLK_DIV_4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM clock divide by 4 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00043">43</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga379db73993dbf96710557d63e24c329e" name="ga379db73993dbf96710557d63e24c329e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga379db73993dbf96710557d63e24c329e">&#9670;&nbsp;</a></span>PWM_CLK_DIV_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CLK_DIV_8</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM clock divide by 8 </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00044">44</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga18eec613fcc72bc9f048c804863519cf" name="ga18eec613fcc72bc9f048c804863519cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga18eec613fcc72bc9f048c804863519cf">&#9670;&nbsp;</a></span>PWM_EDGE_ALIGNED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_EDGE_ALIGNED</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM working in edge aligned type </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00046">46</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gab7d31a7df3e22a5253337148d26d2a8c" name="gab7d31a7df3e22a5253337148d26d2a8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab7d31a7df3e22a5253337148d26d2a8c">&#9670;&nbsp;</a></span>PWM_FALLING_LATCH_INT_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_FALLING_LATCH_INT_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM falling latch interrupt enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00049">49</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gaaec789562f8ab7a95abc00a5b4794afa" name="gaaec789562f8ab7a95abc00a5b4794afa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaec789562f8ab7a95abc00a5b4794afa">&#9670;&nbsp;</a></span>PWM_FALLING_LATCH_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_FALLING_LATCH_INT_FLAG</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM falling latch condition happened </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00052">52</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gad147fdd80c5b1b189f2d9c888c367a5f" name="gad147fdd80c5b1b189f2d9c888c367a5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad147fdd80c5b1b189f2d9c888c367a5f">&#9670;&nbsp;</a></span>PWM_FALLING_LATCH_PDMA_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_FALLING_LATCH_PDMA_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM falling latch PDMA enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00055">55</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga5940e054da82e586f82d9435f1cc185b" name="ga5940e054da82e586f82d9435f1cc185b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5940e054da82e586f82d9435f1cc185b">&#9670;&nbsp;</a></span>PWM_RISING_FALLING_LATCH_INT_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_FALLING_LATCH_INT_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising latch interrupt enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00050">50</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga640204272f0176593d718b05fd9a041c" name="ga640204272f0176593d718b05fd9a041c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga640204272f0176593d718b05fd9a041c">&#9670;&nbsp;</a></span>PWM_RISING_FALLING_LATCH_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_FALLING_LATCH_INT_FLAG</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising latch condition happened </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00053">53</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gab5769a3e1c61ecacfb3674bad1bf8750" name="gab5769a3e1c61ecacfb3674bad1bf8750"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab5769a3e1c61ecacfb3674bad1bf8750">&#9670;&nbsp;</a></span>PWM_RISING_FALLING_LATCH_PDMA_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_FALLING_LATCH_PDMA_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising and falling latch PDMA enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00056">56</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga797d0d771457479f8b677263a79cbed0" name="ga797d0d771457479f8b677263a79cbed0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga797d0d771457479f8b677263a79cbed0">&#9670;&nbsp;</a></span>PWM_RISING_LATCH_INT_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_LATCH_INT_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising latch interrupt enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00048">48</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="ga33e16d288942356205a8a55b8c1a4353" name="ga33e16d288942356205a8a55b8c1a4353"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga33e16d288942356205a8a55b8c1a4353">&#9670;&nbsp;</a></span>PWM_RISING_LATCH_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_LATCH_INT_FLAG</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising latch condition happened </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00051">51</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
<a id="gae322c57f5e065ce3f548c1e2443a7298" name="gae322c57f5e065ce3f548c1e2443a7298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae322c57f5e065ce3f548c1e2443a7298">&#9670;&nbsp;</a></span>PWM_RISING_LATCH_PDMA_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_RISING_LATCH_PDMA_ENABLE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >PWM rising latch PDMA enable </p>

<p class="definition">Definition at line <a class="el" href="../../d6/db9/pwm_8h_source.html#l00054">54</a> of file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
